Foreman - Bug #14190

API and WebUI Inconsistent full hostgroup naming
03/14/2016 11:51 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: API
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1195180 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3378
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1195180
Description of problem:
The naming of the full hostgroup is inconsistent in both WebUI and API. In total is has 4 different names for the same value:

API
hosts -> hostgroup_name
hostgroups -> title

WebUI search has:
Hosts -> hostgroup_fullname or hostgroup_title field
Host Groups -> label field

API:

1. curl -K /opt/hoici/etc/sat6/curl-hoici.conf "-HContent-Type: application/json" "-d{\"per_page\":9999}" -XGET
https://localhost/api/v2/hostgroups | jq '.results[] | .title' | grep Backup
"crash/Backup”
"crash/Backup/BackupTest"

1. curl -K /opt/hoici/etc/sat6/curl-hoici.conf "-HContent-Type: application/json" "-d{\"per_page\":9999}" -XGET
https://localhost/api/v2/hosts | jq '.results[].hostgroup_name' | grep Backup
"crash/Backup/BackupTest"

WebUI search:

Host Groups page:
"label ~ Backup"

Hosts page:
"hostgroup_fullname ~ Backup"
or

"hostgroup_title ~ Backup"

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:

1. Create nested hostgroups

2. Add host to hostgroup

3. Query the full hostgroup name/label

Actual results:
Different field names has to be used
https://bugzilla.redhat.com/show_bug.cgi?id=1195180
https://localhost/api/v2/hostgroups
https://localhost/api/v2/hosts

Expected results:

Consistent field name. Preferably label as this is also consistent with the Katello part.

Additional info:

Associated revisions

Revision a322a96e - 04/12/2016 08:47 AM - Ori Rabin

Fixes #14190 - consistent api output and search options

History

#1 - 03/30/2016 07:48 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3378 added

#2 - 04/12/2016 09:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a322a96e9a948{3b3638fd8af8b84c4d70bcb4d?.

#3 - 04/12/2016 09:06 AM - Dominic Cleal

- translation missing: en.field_release set to 136
http://www.tcpdf.org

